package com.muyu.system.service.impl;

import com.muyu.common.core.domain.Result;
import com.muyu.system.domain.Library;
import com.muyu.system.domain.TableName;
import com.muyu.system.domain.vo.TableVo;
import com.muyu.system.mapper.AccreditMapper;
import com.muyu.system.service.AccreditService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.sql.*;
import java.util.List;

@Service
public class AccreditServiceImpl implements AccreditService {
    @Autowired
    private AccreditMapper mapper;
    @Override
    public List<TableName> tableNameList() {
        List<TableName> list = mapper.tableNameList();
        System.out.println(list);
        return list;
    }

    @Override
    public List<TableVo> selectTableXml(String tableName) {
        String database = mapper.database();
        List<TableVo> list = mapper.selectTableXml(database,tableName);
        System.out.println(list);
        return list;
    }

    @Override
    public List<String> tableNameList2() {
        List<String> list = mapper.tableNameList2();
        for (String s : list) {
            if (mapper.getNameSelTable(s)>1){
            }else{
                mapper.indexTableName(s);
            }
        }
        return list;
    }

    @Override
    public Result listSqlJdbc() throws SQLException {
        PreparedStatement pst = null;
        Connection conn = null;
        String database = mapper.database();
        conn = DriverManager.getConnection("jdbc:mysql://129.211.23.219:3306/"+ database +"?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8","root","Qq4152637");
        try {
            pst = conn.prepareCall("select * from admin");
            ResultSetMetaData rsd = pst.executeQuery().getMetaData();
            for (int i = 0; i < rsd.getColumnCount(); i++) {
                System.out.println("java类型"+rsd.getColumnClassName(i+1));
                System.out.println("数据库类型"+rsd.getColumnTypeName(i+1));
                System.out.println("字段名称"+rsd.getColumnName(i+1));
                System.out.println("表名"+rsd.getTableName(i+1));
                System.out.println("数据库名"+rsd.getCatalogName(i+1));
                mapper.indexListStructure(rsd.getColumnClassName(i+1),rsd.getColumnTypeName(i+1),rsd.getColumnName(i+1),rsd.getTableName(i+1),rsd.getCatalogName(i+1));
            }
        } catch (SQLException e) {
            throw new RuntimeException(e);
        }
        return Result.success("");
    }
}
