package com.muyu.system.mapper;

import com.muyu.system.domain.Library;
import com.muyu.system.domain.TableName;
import com.muyu.system.domain.vo.TableVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface AccreditMapper {
    List<TableName> tableNameList();


    String database();

    List<TableVo> selectTableXml(@Param("database") String database, @Param("tableName") String tableName);

    List<String> tableNameList2();

    int getNameSelTable(@Param("s") String s);

    void indexTableName(@Param("s") String s);

    void indexListStructure(@Param("columnClassName") String columnClassName, @Param("columnTypeName") String columnTypeName, @Param("columnName") String columnName, @Param("tableName") String tableName, @Param("catalogName") String catalogName);

}
